package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(ISLASTBlockNode_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public class ISLASTBlockNode extends ISLASTNode  {
	
	/* @generated */
	protected ISLASTBlockNode(long ptr) {
		/*** PROTECTED REGION ID(ISLASTBlockNode_Constructor) DISABLED START ***/
		super(ptr);
		/*** PROTECTED REGION END ***/
	}
	
	/* @generated */
	protected static ISLASTBlockNode build(long ptr) {
		return new ISLASTBlockNode(ptr);
	}
	
	/*** PROTECTED REGION ID(ISLASTBlockNode_userCode) ENABLED START ***/
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	/*************************************** 
	 *	         Member Methods            * 
	 ***************************************/
	/**
	 * isl_ast_node_block_get_children 
	 * 
	 * @generated
	**/
	public ISLASTNodeList getChildren() {
		/*** PROTECTED REGION ID(isl_ast_node_block_get_children) DISABLED START ***/
		ISLASTNodeList res;
		
		synchronized(LOCK) {
			checkParameters();
			try {
				res = ISLASTNodeList.build(ISLNative.isl_ast_node_block_get_children(getNativePtr(this)));
			} finally {
			}
		}
		
		return res;
		/*** PROTECTED REGION END ***/
	}
	
	
	public void accept(IISLASTNodeVisitor visitor) {
		visitor.visitISLASTBlockNode(this);
	}
	
	public String toString() {
		/*** PROTECTED REGION ID(ISLASTBlockNode_toString) DISABLED START ***/
			return ISLPrettyPrinter.asString(this);
		/*** PROTECTED REGION END ***/
	}
}
